%define	name	kat
%define	version	0.6.4
%define release	6.3.20060mdk

%define lib_name_orig %mklibname kat
%define lib_major 0
%define lib_name %lib_name_orig%lib_major


Name:           %{name}
Summary:        Desktop Search Engine for Linux
Version:        %{version}
Release:        %{release}
Source0:        %{name}-%{version}.tar.bz2
Source1:	kat-0.6.2-katrc
Source2:	kat-0.6.3-launch_kat
Source3:        kat-0.6.3-new-potfiles.tar.bz2
URL:            http://kat.sourceforge.net/
Group:          Archiving/Other
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
License:	GPL
BuildRequires:	kdelibs-devel, sqlite3-devel, qt3-devel
Requires:	%lib_name = %version-%release
Patch1:		kat-0.6.0-enable-visibility.patch.bz2
Patch3:		kat-0.6.3-not-file-found.patch.bz2
Patch7:		kat-0.6.3-fix-ui.patch.bz2
Patch8:		kat-0.6.3-fix-quit-action.patch.bz2
Patch12:	kat-0.6.3-remove-debug.patch.bz2
Patch13:	kat-0.6.3-fix-default-value.patch.bz2
Patch14:	kat-0.6.3-fix-search-string.patch.bz2
Patch15:	kat-0.6.3-fix-i18n-plural.patch.bz2
Patch16:	kat-0.6.3-mdk.patch.bz2
Patch18:	kat-0.6.3-mhonarc.patch.bz2
Patch21:	kat-0.6.3-search-multiple-word.patch.bz2
Patch22:	kat-0.6.3-lstat.patch.bz2

Patch23:	kat-0.6.4-fix-crash2.patch.bz2
Patch24:	kat-0.6.5.patch.bz2
Patch25:	kat-0.6.4-fix-crash-katdaemon.patch.bz2
Requires:	kdeutils-common, antiword, pdftohtml, MHonArc
Requires:	xlhtml, html2text, ghostscript, xpdf, unrtf

%description
Kat is an application for KDE designed to index files.
Meta information, fulltext and thumbnails are extracted from documents, images, 
mp3 and other media allowing quick and accurate information retrieval. 
Similar to the Windows application WhereIsIt, but also similar to Google Desktop 
Search, Kat is completely written in C++, using Qt3, KDE and KIO libraries.
The application is based on the extensible kfile plugin architecture of KDE in 
order to facilitate the creation of new media managers for emerging file formats.
Kat is the first KDE application using the new fulltext kfile plugins.
Information retrieval relies on the powerful SQLite3 embedded database engine.

%package -n %lib_name
Group:      Development/KDE and Qt
Summary:    Libraries for kat
Conflicts:  kat <= 0.4.2mdk

%description -n %lib_name
Librairie for Kat

%package -n %lib_name-devel
Group:      Development/KDE and Qt
Summary:    Devel files for kat
Conflicts:  kat <= 0.4.2mdk
Requires:   %lib_name

%description -n %lib_name-devel
Devel file for Kat


%prep
%setup -q -n %{name}-%{version}
%patch3 -p0 -b .inform_not_file_found
%patch7 -p1 -b .fix_ui
%patch8 -p1 -b .fix_quit_action
%patch12 -p1 -b .remove_debug
%patch13 -p1 -b .fix_default_valu
%patch14 -p1 -b .fix_search_string
%patch15 -p1 -b .fix_i18n_plural
%patch16 -p1 -b .mdk
#%patch18 -p1 -b .mhonarc
%patch21 -p1 -b .search-multiple-word
%patch22 -p1 -b .lstat

%patch23 -p1 -b .fix_crash_on_exit

%patch24 -p0 -b .fix_kcontrol
%patch25 -p1 -b .fix_katdaemon_crash

# Remove old translations and add new
# fixed ones with plural forms
# Should be reported to upstream after 2006 launch
rm -rf po
tar xfj %{SOURCE3}

%build
make -f admin/Makefile.common cvs

export QTDIR=%_prefix/lib/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/%_lib:$KDEDIR/%_lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH


%{?__cputoolize: %{__cputoolize} }

%ifarch %ix86
CFLAGS="%optflags" CXXFLAGS="`echo %optflags |sed -e 's/-fomit-frame-pointer//'`" \
%else
CFLAGS="%optflags" CXXFLAGS="%optflags" \
%endif
        ./configure  --prefix=%_prefix \
%if "%{_lib}" != "lib"
    --enable-libsuffix="%(A=%{_lib}; echo ${A/lib/})" \
%endif
	--enable-final


%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall



install -d $RPM_BUILD_ROOT%{_menudir}
#######FIXME menu position
#kdedesktop2mdkmenu.pl %{name} "System/Archiving/Other" $RPM_BUILD_ROOT%{_datadir}/applications/kde/kat.desktop $RPM_BUILD_ROOT%{_menudir}/%{name}

kdedesktop2mdkmenu.pl %{name} "System/Configuration/KDE/System/" $RPM_BUILD_ROOT%{_datadir}/applications/kde/katcontrol.desktop $RPM_BUILD_ROOT%{_menudir}/katcontrol


install -d -m 0755 %buildroot/%_datadir/config/
install -m 0644 %SOURCE1 %buildroot/%_datadir/config/katrc

install -d -m 0755 %buildroot/%{_sysconfdir}/X11/xinit.d/
install -m 0755 %SOURCE2 %buildroot/%{_sysconfdir}/X11/xinit.d/launch_kat

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%post -n %lib_name -p /sbin/ldconfig


%postun -n %lib_name -p /sbin/ldconfig

%files -n %lib_name
%defattr(-,root,root,0755)
%_libdir/kde3/*.la
%_libdir/kde3/*.so
%_libdir/libkat.la
%_libdir/libkat.so.*
%_libdir/libkatdaemon.la
%_libdir/libkatdaemon.so.*

%files -n %lib_name-devel
%defattr(-,root,root,0755)
%_libdir/libkat.so
%_libdir/libkatdaemon.so

%_includedir/*.h

%files -f %name.lang
%defattr(-,root,root,0755)
%_bindir/kat
%_bindir/katdaemon
%_menudir/*
#%_datadir/applications/kde/kat.desktop

%config(noreplace) %_datadir/config/katrc


%dir %_datadir/apps/kat/
%_datadir/apps/kat/*.png
%_datadir/apps/kat/*.rc


%dir %_docdir/HTML/en/kat
%doc %_docdir/HTML/en/kat/common
%doc %_docdir/HTML/en/kat/*.bz2
%doc %_docdir/HTML/en/kat/*.docbook

%_datadir/icons/crystalsvg/64x64/mimetypes/rproject.png
%_datadir/mimelnk/application/x-rproject.desktop
%_datadir/services/kfile_rproject.desktop

   
%_iconsdir/crystalsvg/128x128/apps/kat.png
%_iconsdir/crystalsvg/16x16/apps/kat.png
%_iconsdir/crystalsvg/32x32/apps/kat.png
%_iconsdir/crystalsvg/48x48/apps/kat.png
%_iconsdir/crystalsvg/64x64/apps/kat.png

%_datadir/applications/kde/katcontrol.desktop
%_datadir/icons/crystalsvg/32x32/actions/kat_database.png
%_datadir/icons/crystalsvg/32x32/actions/kat_locale.png
%_datadir/services/kded/katd.desktop


%_datadir/services/full*.protocol
%_datadir/services/full*.desktop
%_datadir/services/katslave.protocol

%_datadir/servicetypes/fulltextextractor.desktop

%dir %_datadir/apps/kat/language/
%_datadir/apps/kat/language/*.klp
%_datadir/mimelnk/application/x-kat.desktop
		
%_datadir/apps/kat/eventsrc
%_datadir/apps/kat/tips

%_datadir/apps/kicker/menuext/find/Kat.desktop

%attr(755,root,root) %config(noreplace) %{_sysconfdir}/X11/xinit.d/launch_kat

%changelog
* Wed Dec 14 2005 Laurent MONTEL <lmontel@mandriva.com> 0.6.4-6.3.20060mdk
- Exclude other directory/files
- Remove debug

* Fri Dec 09 2005 Laurent MONTEL <lmontel@mandriva.com> 0.6.4-6.2mdk
- add debug full

* Wed Dec 07 2005 Laurent MONTEL <lmontel@mandriva.com> 0.6.4-6.1mdk
- Exclude .kde directory

* Mon Nov 28 2005 Laurent MONTEL <lmontel@mandriva.com> 0.6.4-6mdk
- Disable for the moment index of mail

* Thu Nov 24 2005 Laurent MONTEL <lmontel@mandriva.com> 0.6.4-5mdk
- Add patch25: fix kat daemon crash

* Thu Nov 24 2005 Laurent MONTEL <lmontel@mandriva.com> 0.6.4-4mdk
- Add patch24: fix expand variable

* Thu Oct 20 2005 Laurent MONTEL <lmontel@mandriva.com> 0.6.4-3mdk
- Add patch23: fix crash on exist

* Wed Oct 19 2005 Laurent MONTEL <lmontel@mandriva.com> 0.6.4-2mdk
- Now by default kat mode is search-mode 

* Mon Oct 17 2005 Laurent MONTEL <lmontel@mandriva.com> 0.6.4-1mdk
- 0.6.4 

* Mon Sep 26 2005 Frederic Lepied <flepied@mandriva.com> 0.6.3-19mdk
- use html2text -nobs
- fix search on multiple words (Laurent)
- default wait time to 20 seconds
- fix clearing of result windows (Laurent)
- fix exclude dirs (Laurent)
- more debug filtering
- fix fulltext_eml

* Sun Sep 25 2005 Frederic Lepied <flepied@mandriva.com> 0.6.3-18mdk
- better inotify event loop
- fix bad processing of inotify events
- reworked nodebug patch: use the env variable KAT_DAEMON_DEBUG if you want
to debug the kat daemon.

* Sat Sep 24 2005 Helio Chissini de Castro <helio@mandriva.com> 0.6.3-17mdk
- Removed old translations and patches for pt_BR and fr and added new fixed potfiles for all translations
- Fixed type that prevents plural tranlations on i18n patch. Small space prevent "Estimated.." string to be translated
- Added missing fr strings on fr/kat.po

* Sat Sep 24 2005 Frederic Lepied <flepied@mandriva.com> 0.6.3-16mdk
- added missing requires to have the maximum of file types recognised
- fixed pt_BR translation
- fixed french translation for plural forms

* Fri Sep 23 2005 Laurent MONTEL <lmontel@mandriva.com> 0.6.3-15mdk
- Add patch16: fix french translation (patch from Fred Lepied)

* Fri Sep 23 2005 Laurent MONTEL <lmontel@mandriva.com> 0.6.3-14mdk
- Exclude .xsession-error 
- Remove debug
- fix scan default value
- Add requires

* Mon Sep 19 2005 Laurent MONTEL <lmontel@mandriva.com> 0.6.3-13mdk
- Add patch11: fix load exclude file

* Fri Sep 16 2005 Laurent MONTEL <lmontel@mandriva.com> 0.6.3-12mdk
- Update pt_BR translate

* Fri Sep 16 2005 Laurent MONTEL <lmontel@mandriva.com> 0.6.3-11mdk
- Add other directory exclusion

* Thu Sep 15 2005 Laurent MONTEL <lmontel@mandriva.com> 0.6.3-10mdk
- Fix patch4

* Wed Sep 14 2005 Laurent MONTEL <lmontel@mandriva.com> 0.6.3-9mdk
- Add patch10: fix search button

* Wed Sep 14 2005 Laurent MONTEL <lmontel@mandriva.com> 0.6.3-8mdk
- Add patch9: remove unimplemented feature

* Wed Sep 14 2005 Laurent MONTEL <lmontel@mandriva.com> 0.6.3-7mdk
- Update po file

* Wed Sep 14 2005 Laurent MONTEL <lmontel@mandriva.com> 0.6.3-6mdk
- Add patch8: fix quit action

* Wed Sep 14 2005 Laurent MONTEL <lmontel@mandriva.com> 0.6.3-5mdk
- Add patch7: fix ui

* Tue Sep 13 2005 Laurent MONTEL <lmontel@mandriva.com> 0.6.3-4mdk
- Add patch6: update kat eventrc translate

* Mon Sep 12 2005 Laurent MONTEL <lmontel@mandriva.com> 0.6.3-3mdk
- Add patch4: Add kat.desktop translation
- Add patch5: Autostart kat with home dir when any catalog exists
- Don't scan specific files

* Wed Sep 07 2005 Laurent MONTEL <lmontel@mandriva.com> 0.6.3-2mdk
- Add patch3: inform that we don't find files

* Tue Sep 06 2005 Laurent MONTEL <lmontel@mandriva.com> 0.6.3-1mdk
- 0.6.3

* Mon Aug 29 2005 Laurent MONTEL <lmontel@mandriva.com> 0.6.3-0.beta2.2mdk
- Add kdeutils-common as requires for kregexpeditor

* Sun Aug 28 2005 Laurent MONTEL <lmontel@mandriva.com> 0.6.3-0.beta1.4mdk
- Necessary to use --libsuffix

* Fri Aug 26 2005 Laurent MONTEL <lmontel@mandriva.com> 0.6.3-0.beta1.3mdk
- Use xinit.d file to start kat in other environment

* Thu Aug 25 2005 Laurent MONTEL <lmontel@mandriva.com> 0.6.3-0.beta1.2mdk
- New sync + lang

* Tue Aug 23 2005 Laurent MONTEL <lmontel@mandriva.com> 0.6.3-0.beta1.1mdk
- 0.6.3-beta1 (without language for the moment)

* Tue Aug 16 2005 Laurent MONTEL <lmontel@mandriva.com> 0.6.2-4mdk
- Add katrc (to exclude some directory)

* Tue Aug 16 2005 Laurent MONTEL <lmontel@mandriva.com> 0.6.2-3mdk
- Add patch2 fix crash

* Mon Aug 15 2005 Laurent MONTEL <lmontel@mandriva.com> 0.6.2-2mdk
- Use 0.6.2a tarball which fix version of kat

* Sun Aug 14 2005 Laurent MONTEL <lmontel@mandriva.com> 0.6.2-1mdk
- 0.6.2

* Sat Aug 13 2005 Laurent MONTEL <lmontel@mandriva.com> 0.6.1-3mdk
- Fix makefile to generate/install po file

* Thu Aug 11 2005 Laurent MONTEL <lmontel@mandriva.com> 0.6.1-2mdk
- Add patch2: support inotify0.24 (Thanks Fred Crozat)

* Sat Aug 06 2005 Laurent MONTEL <lmontel@mandriva.com> 0.6.1-1mdk
- 0.6.1

* Fri Jul 29 2005 Laurent MONTEL <lmontel@mandriva.com> 0.6.0-4mdk
- Fix requires

* Thu Jul 28 2005 Laurent MONTEL <lmontel@mandriva.com> 0.6.0-3mdk
- Add patch1: add support for visibility. Mandriva support it

* Thu Jul 28 2005 Laurent MONTEL <lmontel@mandriva.com> 0.6.0-2mdk
- Real 0.6.0

* Tue Jul 19 2005 Laurent MONTEL <lmontel@mandriva.com> 0.6.0-1mdk
- Beta1

* Fri Jul 08 2005 Laurent MONTEL <lmontel@mandriva.com> 0.5.4-2mdk
- Rebuild 

* Wed Jun 01 2005 Laurent MONTEL <lmontel@mandriva.com> 0.5.4-1mdk
- 0.5.4 (release bug fixes)

* Tue May 24 2005 Laurent MONTEL <lmontel@mandriva.com> 0.5.3-1mdk
- 0.5.3
	* Added RTF fulltext plugin
	* Removed global variables
	* Implemented Icon and Thumbnail views for search results
	* Implemented Open With context menu for files in all views
	* Implemented multiple selection in the views
	* Implemented drag&drop of files and directories in all views
	* Fixed GUI removed fixed size
	* Fixed --enable-final
	* Added dcop interface

* Mon May 16 2005 Laurent MONTEL <lmontel@mandriva.com> 0.5.2-2mdk
- Add buildrequires qt3-devel

* Mon May 16 2005 Laurent MONTEL <lmontel@mandriva.com> 0.5.2-1mdk
- 0.5.2
	* Fix crash
	* Add koffice fulltext plugins
	* Use KStdguiitem for standard text
	* Save/load header order
	* Fix mem leak into koffice/oo fulltext
	* Add gnumeric fulltext plugins
	* Fix mem leak cppsqile3 was never deleted


* Thu May 12 2005 Laurent MONTEL <lmontel@mandriva.com> 0.5.1-2mdk
- Fix build on mdk <= cooker

* Wed May 11 2005 Laurent MONTEL <lmontel@mandriva.com> 0.5.1-1mdk
- 0.5.1
	* The scan routine has been divided in two parts in order to 
		reduce the complexity of code and also to allow a better 
		management of memory: 
 		+ The first part scans the folder and saves only the basic files properties
 		+ The second part reads the filenames from the database and extracts previews, 
			metadata and fulltext
 		Kat has been tested on a 4.5 Gb folder without crashes
 	* Now Kat uses .kde/share/apps/kat to save/load language profiles (for language identification)
 	* Allowed translation of the toolbar text
 	* Implemented save/restore session
	* Fixed exit (ask the users if they want to save the catalog)
 	* Added translation (pl)

* Wed May 04 2005 Laurent MONTEL <lmontel@mandriva.com> 0.4.4-1mdk
- 0.4.4
	* Now we can load directly file from command line
	* Open Recent action works
	* Fix dialogbox
	* Add kat mimetype (x-kat.desktop)

* Wed May 04 2005 Laurent MONTEL <lmontel@mandriva.com> 0.4.3-3mdk
- Rebuild with new gcc

* Tue May 03 2005 Laurent MONTEL <lmontel@mandriva.com> 0.4.3-2mdk
- Add buildrequires on libpoppler-qt-devel

* Mon May 02 2005 Laurent MONTEL <lmontel@mandriva.com> 0.4.3-1mdk
- libification
- 0.4.3 
  Added translations (it/de/pt_br/fr)
  Added fulltext plugins for:
   - ODT/ODS/ODP (OpenOffice 2.0)
  Use KDialogBase
  Fixed i18n
  Switched to poppler-qt for pdf fulltext (only in CVS version)
  Fixed interface to use KAction/menu
  Allowed users to configure shortcut/toolbar
  Fixed lots of GUI issues
  Added context menus for retrieved files
  Implemented functionality to save fulltext and wordslist

* Tue Apr 19 2005 Laurent MONTEL <lmontel@mandriva.com> 0.4.2-1mdk
- 0.4.2 (incorporate all my patchs)

* Sun Apr 17 2005 Laurent MONTEL <lmontel@mandriva.com> 0.4.1-1mdk
- Initial package 

